Bug 1581865 - Review Request: flatpak-module-tools - Tools for maintaining Flatpak applications and runtimes as Fedora modules
Summary: Review Request: flatpak-module-tools - Tools for maintaining Flatpak applicat...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-23 19:45 UTC by Owen Taylor
Modified: 2018-08-04 21:45 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-04 21:45:50 UTC
klember: fedora-review+


Attachments (Terms of Use)

Description Owen Taylor 2018-05-23 19:45:20 UTC
Spec URL: https://fishsoup.net/misc/flatpak-module-tools.spec
SRPM URL: https://fishsoup.net/misc/flatpak-module-tools-0.2-1.fc27.src.rpm

Description:
flatpak-module-tools is a set of command line tools (all accessed via a single
'flatpak-module' executable) for operations related to maintaining Flatpak
applications and runtimes as Fedora modules.

Fedora Account System Username: otaylor

Comment 1 Kalev Lember 2018-05-24 14:58:14 UTC
Fedora review flatpak-module-tools-0.2-1.fc27.src.rpm 2018-05-24
  
$ rpmlint flatpak-module-tools-0.2-1.fc27.src.rpm \
          flatpak-module-tools
flatpak-module-tools.src: W: spelling-error Summary(en_US) runtimes -> run times, run-times, centimes
flatpak-module-tools.src: W: spelling-error %description -l en_US runtimes -> run times, run-times, centimes
flatpak-module-tools.noarch: E: explicit-lib-dependency libmodulemd
flatpak-module-tools.noarch: W: spelling-error Summary(en_US) runtimes -> run times, run-times, centimes
flatpak-module-tools.noarch: W: spelling-error %description -l en_US runtimes -> run times, run-times, centimes
flatpak-module-tools.noarch: W: no-manual-page-for-binary flatpak-module
2 packages and 0 specfiles checked; 1 errors, 5 warnings.

+ OK
! needs attention

+ rpmlint warnings are harmless and can be ignored
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The license text (LICENSE) is included in %license
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match the sources in the srpm
  SHA512 (flatpak-module-tools-0.2.tar.gz) = 9481ee9c0f6d10acbf4bc2dec9663e3b980c0e051849a154aaab92be847458e63532800ebd66e6adb26fd8f188f235fa1e85e671d4f9432728418ad0153ed34c
  SHA512 (Download/flatpak-module-tools-0.2.tar.gz) = 9481ee9c0f6d10acbf4bc2dec9663e3b980c0e051849a154aaab92be847458e63532800ebd66e6adb26fd8f188f235fa1e85e671d4f9432728418ad0153ed34c
+ Package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a locale handling
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect the runtime of application
n/a Static libraries should be in -static
n/a Development files should be in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
n/a Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8

Looks nice and clean. APPROVED

Comment 2 Gwyn Ciesla 2018-05-24 17:55:20 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/flatpak-module-tools

Comment 3 Fedora Update System 2018-05-24 18:32:40 UTC
flatpak-module-tools-0.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-90c562c08a

Comment 5 Fedora Update System 2018-05-25 18:45:31 UTC
flatpak-module-tools-0.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-90c562c08a

Comment 6 Fedora Update System 2018-05-31 13:31:43 UTC
flatpak-module-tools-0.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b22c558491

Comment 7 Fedora Update System 2018-06-01 13:16:00 UTC
flatpak-module-tools-0.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b22c558491

Comment 8 Fedora Update System 2018-06-01 17:35:46 UTC
flatpak-module-tools-0.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-09514eaca0

Comment 9 Fedora Update System 2018-06-02 22:33:49 UTC
flatpak-module-tools-0.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-09514eaca0

Comment 10 Fedora Update System 2018-07-31 12:38:59 UTC
flatpak-module-tools-0.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3210cc23f4

Comment 11 Fedora Update System 2018-07-31 18:33:38 UTC
flatpak-module-tools-0.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3210cc23f4

Comment 12 Fedora Update System 2018-08-04 21:45:50 UTC
flatpak-module-tools-0.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.